bitel.billing.server.contract.bean

## Class ContractTariffManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractTariffManager

- Deprecated.
  use `ContractTariffDao` and `ContractTariff`

      @Deprecated
      public class ContractTariffManager
      extends java.lang.Object

  Author:
    amir

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkDoubleTariffForContract(int cid, int tpid, java.util.Calendar date1, java.util.Calendar date2)` Deprecated.
    `void` | `deleteContractTariff(int id)` Deprecated. Удаляет тариф по его коду
    `ContractTariff` | `getContractTariff(int cid, java.util.Calendar date)` Deprecated. Возвращает первый тариф из списка тарифов для договора на определенную дату
    `ContractTariff` | `getContractTariffById(int id)` Deprecated. Возвращает тариф по его коду
    `ContractTariff` | `getContractTariffByID(int id)` Deprecated.
    `java.util.List<ContractTariff>` | `getContractTariffList(int cid, java.util.Calendar calendar)` Deprecated. заменен на getContractTariffList( int cid, Date date )
    `java.util.List<ContractTariff>` | `getContractTariffList(int cid, java.util.Date date)` Deprecated. Возвращает список тарифов для данного договора на определенную дату
    `java.util.List<ContractTariff>` | `getContractTariffList(int cid, java.util.Date date, int emid, int eid)` Deprecated. Возвращает список тарифов для данного договора на определенную дату
    `void` | `updateContractTariff(ContractTariff value)` Deprecated. Обновляет тариф
    `void` | `updateContractTariff(java.lang.String id, ContractTariff value)` Deprecated. Использовать updateContractTariff(ContractTariff value)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffManager

          public ContractTariffManager(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### getContractTariffById

          public ContractTariff getContractTariffById(int id)

      Deprecated.
      Возвращает тариф по его коду
      Parameters:
        `id` - код тарифа
      Returns:

    - #### getContractTariffByID

          @Deprecated
          public ContractTariff getContractTariffByID(int id)

      Deprecated.
      Использовать `getContractTariffById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### deleteContractTariff

          public void deleteContractTariff(int id)

      Deprecated.
      Удаляет тариф по его коду
      Parameters:
        `id` - код тарифа (не tpid, а именно id тарифа_договора!)

    - #### updateContractTariff

          @Deprecated
          public void updateContractTariff(java.lang.String id,
                                                       ContractTariff value)

      Deprecated. Использовать updateContractTariff(ContractTariff value)
      Parameters:
        `id` -
        `value` -

    - #### updateContractTariff

          public void updateContractTariff(ContractTariff value)

      Deprecated.
      Обновляет тариф
      Parameters:
        `value` - тариф

    - #### getContractTariffList

          @Deprecated
          public java.util.List<ContractTariff> getContractTariffList(int cid,
                                                                                  java.util.Calendar calendar)

      Deprecated. заменен на getContractTariffList( int cid, Date date )
      Parameters:
        `cid` -
        `time` -
      Returns:

    - #### getContractTariffList

          public java.util.List<ContractTariff> getContractTariffList(int cid,
                                                                      java.util.Date date)

      Deprecated.
      Возвращает список тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:

    - #### getContractTariffList

          public java.util.List<ContractTariff> getContractTariffList(int cid,
                                                                      java.util.Date date,
                                                                      int emid,
                                                                      int eid)

      Deprecated.
      Возвращает список тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:

    - #### getContractTariff

          public ContractTariff getContractTariff(int cid,
                                                  java.util.Calendar date)

      Deprecated.
      Возвращает первый тариф из списка тарифов для договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:
        null - если нету

    - #### checkDoubleTariffForContract

          public boolean checkDoubleTariffForContract(int cid,
                                                      int tpid,
                                                      java.util.Calendar date1,
                                                      java.util.Calendar date2)

      Deprecated.